package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 告警点位匹配数据对象 ems_alarm_match_data
 *
 * @author xzzn
 * @date 2025-09-22
 */
public class EmsAlarmMatchData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 告警点位 */
    @Excel(name = "告警点位")
    private String point;

    /** 告警值 */
    @Excel(name = "告警值")
    private Long alarmData;

    /** 告警描述 */
    @Excel(name = "告警描述")
    private String alarmDescription;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceCategory;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPoint(String point)
    {
        this.point = point;
    }

    public String getPoint()
    {
        return point;
    }

    public void setAlarmData(Long alarmData)
    {
        this.alarmData = alarmData;
    }

    public Long getAlarmData()
    {
        return alarmData;
    }

    public void setAlarmDescription(String alarmDescription)
    {
        this.alarmDescription = alarmDescription;
    }

    public String getAlarmDescription()
    {
        return alarmDescription;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceCategory(String deviceCategory)
    {
        this.deviceCategory = deviceCategory;
    }

    public String getDeviceCategory()
    {
        return deviceCategory;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("point", getPoint())
                .append("alarmData", getAlarmData())
                .append("alarmDescription", getAlarmDescription())
                .append("siteId", getSiteId())
                .append("deviceCategory", getDeviceCategory())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
